Skip to main content
`Ctrl`+`K`

# DMDirection

Indicates a coordinate direction

## Synopsis

    typedef enum {
      DM_X,
      DM_Y,
      DM_Z
    } DMDirection;

## Values

- `DM_X` - the x coordinate direction

- `DM_Y` - the y coordinate direction

- `DM_Z` - the z coordinate direction

## See Also

DM Basics, `DM`, `DMDA`, `DMDAGetRay()`, `DMDAGetProcessorSubset()`, `DMPlexShearGeometry()`

## Level

beginner

## Location

include/petscdmtypes.h

## Examples

src/dm/tutorials/ex22.c

## Examples

src/snes/tutorials/ex13.c
src/dm/tutorials/ex22.c
src/dm/tutorials/ex51.c
src/snes/tutorials/ex17.c

## Examples

src/dm/tutorials/ex22.c
src/dm/tutorials/ex51.c

## Examples

src/dm/tutorials/ex22.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages